Package: groovy.org.codenarc.report

## [Groovy] Class TextReportWriter

- groovy.org.codenarc.report.TextReportWriter

- ReportWriter that generates an simple ASCII text report. Set the maxPriority property to control the maximum priority level for violations in the report. For instance, setting maxPriority to 2 will result in the report containing only priority 1 and 2 violations (and omitting violations with priority 3). The maxPriority property defaults to 3.

  Authors:
    Chris Mair

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractReportWriter` | `BASE_MESSAGES_BUNDLE, CODENARC_URL, CUSTOM_MESSAGES_BUNDLE, VERSION_FILE, customMessagesBundleName, getTimestamp, initializeResourceBundle, resourceBundle`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `defaultOutputFile`
    `int` | `maxPriority`
    `String` | `title`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected String` | `getViolationLocationString(Violation violation, String path)`
    `` | `protected void` | `writeFileViolations(Writer writer, FileResults results)`
    `` | `protected void` | `writeFooter(Writer writer)`
    `` | `protected void` | `writePackageViolations(Writer writer, Results results)`
    `` | `void` | `writeReport(Writer writer, AnalysisContext analysisContext, Results results)`
    `` | `protected void` | `writeSummary(Writer writer, Results results)`
    `` | `protected void` | `writeTitle(Writer writer)`
    `` | `protected void` | `writeViolation(Writer writer, Violation violation, String path)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractReportWriter` | `getCodeNarcVersion, getDescriptionForRule, getFormattedTimestamp, getHtmlDescriptionForRule, getResourceBundleString, getSortedRules, initializeDefaultResourceBundle, isEnabled, writeReport, writeReport`

- - ### Property Detail

    - #### String defaultOutputFile

    - #### int maxPriority

    - #### String title

  - ### Method Detail

    - #### @SuppressWarnings('UnusedMethodParameter') protected String getViolationLocationString(Violation violation, String path)

    - #### protected void writeFileViolations(Writer writer, FileResults results)

    - #### protected void writeFooter(Writer writer)

    - #### protected void writePackageViolations(Writer writer, Results results)

    - #### @Override void writeReport(Writer writer, AnalysisContext analysisContext, Results results)

    - #### protected void writeSummary(Writer writer, Results results)

    - #### protected void writeTitle(Writer writer)

    - #### protected void writeViolation(Writer writer, Violation violation, String path)